version: '3.8'
services:
  gateway:
    image: ${gateway}
    restart: always
    container_name: gateway
    environment:
      KONG_HEADERS: "off"
      KONG_TRUSTED_IPS: 10.0.0.0/8,192.168.0.0/16,172.16.0.0/12
      KONG_REAL_IP_RECURSIVE: "on"
      KONG_REAL_IP_HEADER: X-Forwarded-For
      KONG_ADMIN_LISTEN: "0.0.0.0:8001 reuseport backlog=16384, 0.0.0.0:8444 http2 ssl reuseport backlog=16384"
      KONG_DATABASE: "off"
      KONG_DECLARATIVE_CONFIG: /etc/kong/kong.yaml
      KONG_MEM_CACHE_SIZE: 128m
      KONG_LOG_LEVEL: info
      KONG_PROXY_ACCESS_LOG: /dev/stdout
      KONG_PLUGINS: mop-apm-plugin,bundled,jwt-plus
      KONG_NGINX_WORKER_PROCESSES: "2"
    volumes:
      - "./kong.yaml:/etc/kong/kong.yaml:ro"
    ports:
      - "${PORT}:8000"
  mysql:
    image: ${mysql}
    container_name: mysql
    restart: always
    environment:
      MYSQL_USER: ${mysql_user}
      MYSQL_PASSWORD: ${mysql_pass}
      MYSQL_DATABASE: ${db_name}
      MYSQL_ROOT_PASSWORD: '${mysql_root_pass}'
    logging:
      options:
        max-size: '64m'
        max-file: '5'
      driver: json-file
    volumes:
      - ${BASE_STORAGE_DIR}/mysql:/bitnami/mysql/data

  redis:
    image: ${redis}
    container_name: redis
    restart: always
    command: redis-server --appendonly no --requirepass "${redis_pass}"
    logging:
      options:
        max-size: '64m'
        max-file: '5'
      driver: json-file
    volumes:
      - ${BASE_STORAGE_DIR}/redis:/data/

  minio:
    image: ${minio}
    container_name: minio
    restart: always
    environment:
      MINIO_ROOT_USER: ${minio_access_key}
      MINIO_ROOT_PASSWORD: ${minio_secret_key}
    volumes:
      - ${BASE_STORAGE_DIR}/minio/:/data
    command:
      - server
      - /data
    logging:
      options:
        max-size: '64m'
        max-file: '5'
      driver: json-file
  mop-account-system:
    image: ${mop_account_system}
    restart: always
    container_name: mop-account-system
    depends_on:
      - gateway
      - mysql
      - mop-license-checker
    environment:
      CONSUL_TAG: mop-finstore
      ADD_OPERATE_LOG_DATA_URL: http://finclip-data-counter:8080/api/v1/mop/data-report/oper/log/add
      HTTP_PORT: '8080'
      HTTP_MODE: 'debug'
      CAPTCHA_SHOW_COUNT: '9'
      LOG_MODE: 'debug'
      KONG_URL_PREFIX: 'http://gateway:8000'
      KONG_JWT_TYPE: "2"
      ORGAN_EXPIRED_MONTH: '1200'
      ALLOW_APPLY_ID_NUM: '10'
      COMMON_VERIFY_CODE: "495135"
      RESET_PASSWORD: '123Abc'
      OPER_ADMIN_NAME: 'admin'
      OPER_ADMIN_ACCOUNT: 'admin'
      OPER_ADMIN_PHONE: '18220595937'
      OPER_ADMIN_PASSWORD: '123Abc'
      MAX_REDIS_CLIENT_NUM: '100'
      PWD_ERR_COUNT_LIMITE: "10"
      DEVELOP_LEVEL: 'debug'
      VERIFY_CODE_URL_PREFIX: 'http://mop-verify-code-gateway:8080'
      OPERATE_LOG_TOPIC: 'mop_finclip-staging_operation_log'
      ORDER_RIGHTS_MODIFY_URL: http://mop-purchasing-rights-manager:8080/api/v1/mop/mop-purchasing-rights-manager/rights/modify
      RIGHT_UTL_PREFIX: http://mop-purchasing-rights-manager:8080
      NOTIFY_DATA_TOPIC: "mop_finclip-staging_notify_data_topic"
      ZIPKIN_URL: ''
      VERIFY_CODE_TYPE: 'mop'
      ENV: "mop-private"
      PUB_ENV: "mop-private"
      DB_MODE: "mysql"
      MYSQL_USER_NAME: "${mysql_user}"
      MYSQL_PASSWORD: "${mysql_pass}"
      MYSQL_URL: "${mysql_user}:${mysql_pass}@tcp(mysql:3306)/${db_name}?charset=utf8mb4"
      MYSQL_PORT: "3306"
      DB_NAME: "${db_name}"
      REDIS_MODE: "single"
      REDIS_URL: "redis://redis:6379/6"
      REDIS_ADDR: "redis://redis:6379/6"
      REDIS_PASSWORD: "${redis_pass}"
      CONSUL_HTTP_IP: ""
      ENV_TAG : "mini"
  mop-app-manage-svr:
    image: ${finclip_app_manager}
    restart: always
    container_name: mop-app-manage-svr
    environment:
      CONSUL_TAG: mop-finstore
      CHECK_MARKET: "false"
      SPECIFY_APPID: "false"
      OPEN_PURCH_AUTH: 'true'
      OPEN_FIX_OLD: 'false'
      HTTP_PORT: "8080"
      QRCODE_EXPIRE_TIME: "21600"
      NETDISK_HOST: http://netdisk:8080
      KAFKA_ADDR: ""
      IAM_ENABLED: "false"
      ACCOUNT_PROVIDER_URL: "http://mop-account-system:8080/api/v1/mop/applets-ecol-account/organ/platform/account/organInfo/"
      NOTIFICATION_PROVIDER_URL: "http://mop-account-system:8080/api/v1/mop/applets-ecol-account/operation/organ/addAppidNum"
      GET_ROLE_URL: "http://mop-account-system:8080/api/v1/mop/applets-ecol-account/organ/platform/account/power/"
      MOP_DOMAIN_URL: "http://mop-domain-manager:8080/api/v1/mop/applets-ecol-domain/internal/all/"
      NETDISK_DOWNLOAD_URL_PREFIX: "/api/v1/mop/netdisk/download/"
      IS_MOP: "true"
      REDIS_EXPIRE_TIME: "180"
      APP_SECRET_SALT: "18e87dc98acfb44e"
      GROUP_INFO_PROVIDER_URL: "http://mop-account-system:8080/api/v1/mop/applets-ecol-account/organ/business/info/"
      ACCOUNT_INFO_URL: "http://mop-account-system:8080/api/v1/mop/applets-ecol-account/organ/account/info/"
      ADMIN_ACCOUNT_INFO_URL: "http://mop-account-system:8080/api/v1/mop/applets-ecol-account/operation/worker/detail/"
      OPERATE_LOG_TOPIC: 'mop_finclip-staging_operation_log'
      NOTIFY_DATA_TOPIC: 'mop_finclip-staging_notify_data_topic'
      ZIPKIN_URL: ''
      CODE_PACKAGE_NUM_LIMIT: "20"
      PUBLISH_ENV: "mop-private"
      PUB_ENV: "mop-private"
      DB_MODE: "mysql"
      MYSQL_USER_NAME: "${mysql_user}"
      MYSQL_PASSWORD: "${mysql_pass}"
      MYSQL_URL: "${mysql_user}:${mysql_pass}@tcp(mysql:3306)/${db_name}?charset=utf8mb4"
      MYSQL_PORT: "3306"
      DB_NAME: "${db_name}"
      REDIS_MODE: "single"
      REDIS_URL: "redis://redis:6379/6"
      REDIS_ADDR: "redis://redis:6379/6"
      REDIS_PASSWORD: "${redis_pass}"
      CONSUL_HTTP_IP: ""
      API_SERVER: ${API_ENDPOINT}
      APM_SERVER: ${API_ENDPOINT}
  mop-applet-build-manager:
    image: ${mop_applet_build_manager}
    restart: always
    container_name: mop-applet-build-manager
    depends_on:
      - netdisk
      - mysql
    environment:
      FINSTORE_SERVER: 'http://mop-app-manage-svr:8080'
      ACCOUNT_SERVER: 'http://mop-account-system:8080'
      NET_DISK_HOST: "http://netdisk:8080"
      ENCRYPT_ANDROID_VERSION_LOW: 'android_2.12.1'
      ENCRYPT_IOS_VERSION_LOW: 'ios_2.12.5'
      NO_ENCRYPT_VERSIONS: 'android_2.12.2,ios_2.12.6'
      NET_DISK_DOWNLOAD_PRE: /api/v1/mop/netdisk/download/
      PORT: '8080'
      ZIPKIN_URL: ""
      CODE_PACKAGE_NUM_LIMIT: "20"
      NOTIFY_DATA_TOPIC: 'mop_finclip-staging_notify_data_topic'
      IS_UPLOAD_SOURCE: "false"
      DB_MODE: "mysql"
      MYSQL_USER_NAME: "${mysql_user}"
      MYSQL_PASSWORD: "${mysql_pass}"
      MYSQL_URL: "${mysql_user}:${mysql_pass}@tcp(mysql:3306)/${db_name}?charset=utf8mb4"
      MYSQL_PORT: "3306"
      DB_NAME: "${db_name}"
      CONSUL_HTTP_IP: ""
  mop-audit-manage-svr:
    image: ${mop_audit_manage_svr}
    restart: always
    container_name: mop-audit-manage-svr
    environment:
      CONSUL_TAG: mop-finstore
      HTTP_PORT: '8080'
      HTTP_MODE: 'release'
      LOG_MODE: 'debug'
      REDIS_EXPIRE_TIME: '180'
      OPERATE_LOG_TOPIC: 'mop_finclip-staging_operation_log'
      NOTIFY_DATA_TOPIC: 'mop_finclip-staging_notify_data_topic'
      NETDISK_DOWNLOAD_URL_PREFIX: /api/v1/mop/netdisk/download/
      PUBLISH_ENV: "mop-private"
      DB_MODE: "mysql"
      MYSQL_USER_NAME: "${mysql_user}"
      MYSQL_PASSWORD: "${mysql_pass}"
      MYSQL_URL: "${mysql_user}:${mysql_pass}@tcp(mysql:3306)/${db_name}?charset=utf8mb4"
      MYSQL_PORT: "3306"
      DB_NAME: "${db_name}"
      REDIS_MODE: "single"
      REDIS_URL: "redis://redis:6379/6"
      REDIS_ADDR: "redis://redis:6379/6"
      REDIS_PASSWORD: "${redis_pass}"
      CONSUL_HTTP_IP: ""

  mop-fast-trial-manager:
    image: ${mop_fast_trial_manager}
    container_name: mop-fast-trial-manager
    restart: always
    environment:
      HTTP_PORT: '8080'
      MONGO_URL: ''
      REDIS_MODE: "single"
      REDIS_URL: "redis://redis:6379/6"
      REDIS_ADDR: "redis://redis:6379/6"
      REDIS_PASSWORD: "${redis_pass}"
      UAT_REPORT_DATA_URL: 'https://api.finclip.com/api/v1/mop/mop-fast-trial-manager/info/apply'
      COMMUNITY_VERIFYCODE_URL: 'https://api.finclip.com/api/v1/mop/open-api/verify-code'
      PUB_ENV: "mop-community"
    depends_on:
      - redis

  mop-auth-checker:
    image: ${mop_auth_checker}
    restart: always
    container_name: mop-auth-checker
    environment:
      HTTP_PORT: '8080'
      HTTP_MODE: 'debug'
      LOG_MODE: 'debug'
      VERSION: v2
      CONSUL_KV_SERVICE_PATH: "/finclip/config/finchat-test/mop-auth-checker"
      CONSUL_KV_PUBLIC_PATH: ""
      PUB_ENV: "mop-private"
      INIT_OPER_ADMIN: "yes"
      DB_MODE: "mysql"
      MYSQL_USER_NAME: "${mysql_user}"
      MYSQL_PASSWORD: "${mysql_pass}"
      MYSQL_URL: "${mysql_user}:${mysql_pass}@tcp(mysql:3306)/${db_name}?charset=utf8mb4"
      MYSQL_PORT: "3306"
      DB_NAME: "${db_name}"
      REDIS_MODE: "single"
      REDIS_URL: "redis://redis:6379/6"
      REDIS_ADDR: "redis://redis:6379/6"
      REDIS_PASSWORD: "${redis_pass}"
      CONSUL_HTTP_IP: ""
  mop-basic-pack-svr:
    image: ${mop_basic_pack_svr}
    restart: always
    container_name: mop-basic-pack-svr
    depends_on:
      - redis
      - mysql
      - netdisk
    environment:
      CONSUL_TAG: mop-finstore
      PUBLISH_ENV: "mop-private"
      HTTP_PORT: '8080'
      ROUTE_MODE: 'debug'
      LOG_MODE: 'debug'
      BASIC_SEQ_KEY: 'mop_basic_pack_sequence_key_private'
      BASIC_LATEST_VER_KEY: 'mop_latest_basic_pack_key_private'
      NOTIFY_TOPIC: 'mop_finclip-staging_notify_data_topic'
      NOTIFY_URL: 'http://mop-notify:8080'
      NETDISK_HOST: 'http://netdisk:8080'
      NETDISK_UPLOAD_URL: '/api/v1/netdisk/upload/self?type=file&content={}'
      ENTRY_URL: ''
      NETDISK_DOWNLOAD_URL_PRE: '/api/v1/mop/netdisk/download/'
      ZIPKIN_URL: ''
      DB_MODE: "mysql"
      MYSQL_USER_NAME: "${mysql_user}"
      MYSQL_PASSWORD: "${mysql_pass}"
      MYSQL_URL: "${mysql_user}:${mysql_pass}@tcp(mysql:3306)/${db_name}?charset=utf8mb4"
      MYSQL_PORT: "3306"
      DB_NAME: "${db_name}"
      REDIS_MODE: "single"
      REDIS_URL: "redis://redis:6379/6"
      REDIS_ADDR: "redis://redis:6379/6"
      REDIS_PASSWORD: "${redis_pass}"
      CONSUL_HTTP_IP: ""
      ENCRYPT_IOS_VERSION_LOW: 2.23.2
      ENCRYPT_ANDROID_VERSION_LOW: 2.23.1
  mop-control-manager:
    image: ${mop_control_manager}
    restart: always
    container_name: mop-control-manager
    depends_on:
      - mysql
      - mop-netdisk-proxy
      - netdisk
    environment:
      CONSUL_TAG: mop-finstore
      HTTP_PORT: '8080'
      COMMON_APM_URL: ''
      NETDISK_HOST: 'http://netdisk:8080'
      REDIS_MODE: "single"
      REDIS_URL: "redis://redis:6379/6"
      REDIS_ADDR: "redis://redis:6379/6"
      REDIS_PASSWORD: "${redis_pass}"
      DB_MODE: "mysql"
      MYSQL_USER_NAME: "${mysql_user}"
      MYSQL_PASSWORD: "${mysql_pass}"
      MYSQL_URL: "${mysql_user}:${mysql_pass}@tcp(mysql:3306)/${db_name}?charset=utf8mb4"
      MYSQL_PORT: "3306"
      DB_NAME: "${db_name}"
      CONSUL_HTTP_IP: ""
  mop-device-security:
    image: ${finclip_device_security}
    restart: always
    container_name: mop-device-security
    depends_on:
      - mysql
      - gateway
      - redis
    environment:
      HTTP_PORT: '8080'
      ACTIVE_MIN: '60'
      MAX_COROUTINES_NUM: '1000'
      MAX_INACTIVE_EXIST_TIME: '1209600'
      KONG_URL_PREFIX: 'http://gateway:8000'
      KONG_JWT_TYPE: '2'
      KONG_JWT_KEY: "${jwt_key}"
      KONG_JWT_SECRET: 'finclip'
      REDIS_MODE: "single"
      REDIS_URL: "redis://redis:6379/6"
      REDIS_ADDR: "redis://redis:6379/6"
      REDIS_PASSWORD: "${redis_pass}"
      CONSUL_HTTP_IP: ""
      DB_MODE: "mysql"
      MYSQL_USER_NAME: "${mysql_user}"
      MYSQL_PASSWORD: "${mysql_pass}"
      MYSQL_URL: "${mysql_user}:${mysql_pass}@tcp(mysql:3306)/${db_name}?charset=utf8mb4"
      MYSQL_PORT: "3306"
      DB_NAME: "${db_name}"
  mop-domain-manager:
    image: ${finclip_domain_manager}
    restart: always
    container_name: mop-domain-manager
    depends_on:
      - mysql
      - mop-account-system
    environment:
      CONSUL_TAG: mop-finstore
      HTTP_PORT: '8080'
      SERVICE_DOMAIN_MAX_MODIFY_NUM: '10'
      BUSINESS_DOMAIN_MAX_MODIFY_NUM: '50'
      BUSINESS_DOMAIN_MAX_NUM: '20'
      WHITELIST_DOMAIN_MAX_NUM: '999999'
      SERVICE_DOMAIN_MAX_NUM: '20'
      OPERATE_LOG_TOPIC: 'mop_finclip-staging_operation_log'
      ZIPKIN_URL: ''
      CHECK_BUSINESS_DOMAIN: 'false'
      DB_MODE: "mysql"
      MYSQL_USER_NAME: "${mysql_user}"
      MYSQL_PASSWORD: "${mysql_pass}"
      MYSQL_URL: "${mysql_user}:${mysql_pass}@tcp(mysql:3306)/${db_name}?charset=utf8mb4"
      MYSQL_PORT: "3306"
      DB_NAME: "${db_name}"
      CONSUL_HTTP_IP: ""
  mop-feedback-svr:
    image: ${finclip_feedback_svr}
    restart: always
    container_name: mop-feedback-svr
    depends_on:
      - mysql
    environment:
      PUBLISH_ENV: "mop-private"
      HTTP_PORT: '8080'
      ROUTE_MODE: 'debug'
      LOG_MODE: 'debug'
      GET_ORGAN_ID_URL: 'http://mop-app-manage-svr:8080/api/v1/mop/finstore/organId/'
      GET_ORGAN_INFO_URL: 'http://mop-account-system:8080/api/v1/mop/applets-ecol-account/organ/business/info/'
      ZIPKIN_URL: ''
      DB_MODE: "mysql"
      MYSQL_USER_NAME: "${mysql_user}"
      MYSQL_PASSWORD: "${mysql_pass}"
      MYSQL_URL: "${mysql_user}:${mysql_pass}@tcp(mysql:3306)/${db_name}?charset=utf8mb4"
      MYSQL_PORT: "3306"
      DB_NAME: "${db_name}"
      REMOTE_CONF_ADDR: ""
      CONSUL_KV_CONFIG_PATH: "finclip/config/uat"
      CONSUL_HTTP_IP: ""
      RUN_ENV: https://www.finclip.com
  mop-front-login:
    image: ${mop_front_login}
    restart: always
    container_name: mop-front-login
    depends_on:
      - gateway
    environment:
      NGINX_PORT: "8080"
      CONSUL_HTTP_IP: ""
      FINCLIP_API_ENDPOINT: http://gateway:8000/
      API_URL: http://gateway:8000/
  mop-front-mechanism:
    image: ${mop_front_mechanism}
    restart: always
    container_name: mop-front-mechanism
    depends_on:
      - gateway
    environment:
      API_URL: 'http://gateway:8000/'
      NGINX_PORT: "8080"
      LOGO_PREFIX: https://public-1251849568.cos.ap-guangzhou.myqcloud.com/homeSite/picture_private/logo/prefix/
      FINCLIP_API_ENDPOINT: http://gateway:8000/
  mop-front-operate:
    image: ${mop_front_operate}
    restart: always
    container_name: mop-front-operate
    depends_on:
      - gateway
    environment:
      API_URL: 'http://gateway:8000/'
      NGINX_PORT: "8080"
      CONSUL_HTTP_IP: ""
      LOGO_PREFIX: https://public-1251849568.cos.ap-guangzhou.myqcloud.com/homeSite/picture_private/logo/prefix/
      FINCLIP_API_ENDPOINT: http://gateway:8000/
  mop-help-center-svr:
    image: ${finclip_help_center_svr}
    restart: always
    container_name: mop-help-center-svr
    environment:
      PUBLISH_ENV: "mop-private"
      ROUTE_MODE: 'debug'
      LOG_MODE: 'debug'
      DB_MODE: "mysql"
      MYSQL_USER_NAME: "${mysql_user}"
      MYSQL_PASSWORD: "${mysql_pass}"
      MYSQL_URL: "${mysql_user}:${mysql_pass}@tcp(mysql:3306)/${db_name}?charset=utf8mb4"
      MYSQL_PORT: "3306"
      DB_NAME: "${db_name}"
      CONSUL_HTTP_IP: ""
  mop-license-checker:
    image: ${mop_license_checker}
    restart: always
    container_name: mop-license-checker
    command:
      - sh
      - -c
      - |
        sleep 10s
        /opt/mop-license-checker
    environment:
      CONSUL_TAG: mop-finstore
      HTTP_PORT: '8080'
      LICENSE: ${LICENSE}
      ORGAN_NAME: ${ORGAN_NAME}
    depends_on:
      - mop-netdisk-proxy
  mop-netdisk-proxy:
    image: ${mop_netdisk_proxy}
    restart: always
    container_name: mop-netdisk-proxy
    depends_on:
      - netdisk
      - redis
      - mysql
    environment:
      PUBLISH_ENV: "mop-private"
      HTTP_PORT: '8080'
      ROUTE_MODE: 'debug'
      LOG_MODE: 'debug'
      REDIS_MAX_CLIENT_NUM: '20'
      NETDISK_HOST: 'http://netdisk:8080'
      NETDISK_UPLOAD_URL: '/api/v1/netdisk/upload/self'
      NETDISK_DOWNLOAD_URL: '/api/v1/netdisk/download/'
      NETDISK_DOWNLOAD_THU_URL: '/api/v1/netdisk/thumbnail/'
      AUTH_EXPIRED_SEC: '10'
      ZIPKIN_URL:
      DB_MODE: "mysql"
      MYSQL_USER_NAME: "${mysql_user}"
      MYSQL_PASSWORD: "${mysql_pass}"
      MYSQL_URL: "${mysql_user}:${mysql_pass}@tcp(mysql:3306)/${db_name}?charset=utf8mb4"
      MYSQL_PORT: "3306"
      DB_NAME: "${db_name}"
      REDIS_MODE: "single"
      REDIS_URL: "redis://redis:6379/6"
      REDIS_ADDR: "redis://redis:6379/6"
      REDIS_PASSWORD: "${redis_pass}"
      CONSUL_HTTP_IP: ""
  mop-notify:
    image: ${finclip_notify}
    restart: always
    container_name: mop-notify
    depends_on:
      - mysql
    environment:
      HTTP_PORT: '8080'
      HTTP_MODE: 'debug'
      LOG_MODE: 'debug'
      NOTIFY_DATA_TOPIC: 'mop_finclip-staging_notify_data_topic'
      ZIPKIN_URL: ''
      REDIS_MODE: "single"
      REDIS_URL: "redis://redis:6379/6"
      REDIS_ADDR: "redis://redis:6379/6"
      REDIS_PASSWORD: "${redis_pass}"
      DB_MODE: "mysql"
      MYSQL_USER_NAME: "${mysql_user}"
      MYSQL_PASSWORD: "${mysql_pass}"
      MYSQL_URL: "${mysql_user}:${mysql_pass}@tcp(mysql:3306)/${db_name}?charset=utf8mb4"
      MYSQL_PORT: "3306"
      DB_NAME: "${db_name}"
      CONSUL_HTTP_IP: ""
  mop-open-api:
    image: ${mop_open_api}
    restart: always
    container_name: mop-open-api
    depends_on:
      - redis
      - mysql
    environment:
      CONSUL_TAG: mop-finstore
      PUB_ENV: "mop-private"
      REQ_TYPE: "http"
      HTTP_PORT: '8080'
      DATA_REPORT_TOPIC: mop_finclip-staging_data_report
      KAFKA_ADDR: "kafka:9092"
      APM_REPORT_HOST: http://finclip-data-counter:8080
      DB_MODE: "mysql"
      MYSQL_USER_NAME: "${mysql_user}"
      MYSQL_PASSWORD: "${mysql_pass}"
      MYSQL_URL: "${mysql_user}:${mysql_pass}@tcp(mysql:3306)/${db_name}?charset=utf8mb4"
      MYSQL_PORT: "3306"
      DB_NAME: "${db_name}"
      REDIS_MODE: "single"
      REDIS_URL: "redis://redis:6379/6"
      REDIS_ADDR: "redis://redis:6379/6"
      REDIS_PASSWORD: "${redis_pass}"
      APPLET_CACHE_TIME: "10"
      FRQ_TYPE: 'mem'
      CONSUL_HTTP_IP: ""

  mop-private-init-server:
    image: ${mop_private_init_server}
    restart: always
    container_name: mop-private-init-server
    depends_on:
      - mop-netdisk-proxy
      - mysql
    environment:
      CONSUL_TAG: mop-finstore
      HTTP_PORT: '8080'
      NETDISK_URL: 'http://netdisk:8080'
      ORGAN_NAME: ${ORGAN_NAME}
      NETDISK_USER: '@netdisk:mp.finogeeks.com'
      ORGAN_PATH: community
      AUTO_REGISTER: "1"
      DB_MODE: "mysql"
      MYSQL_USER_NAME: "${mysql_user}"
      MYSQL_PASSWORD: "${mysql_pass}"
      MYSQL_URL: "${mysql_user}:${mysql_pass}@tcp(mysql:3306)/${db_name}?charset=utf8mb4"
      MYSQL_PORT: "3306"
      DB_NAME: "${db_name}"
      CONSUL_HTTP_IP: ""

  mop-rule-engine-svr:
    image: ${finclip_rule_engine_svr}
    restart: always
    container_name: mop-rule-engine-svr
    depends_on:
      - redis
      - mysql
    environment:
      CONSUL_TAG: mop-finstore
      PUBLISH_ENV: "mop-private"
      KAFKA_ADDR: ""
      ROUTE_MODE: 'debug'
      LOG_MODE: 'debug'
      NOTIFY_TOPIC: 'mop_finclip-staging_notify_data_topic'
      NETDISK_HOST: 'http://netdisk:8080'
      NETDISK_UPLOAD_URL: '/api/v1/netdisk/upload/self'
      KAFKA_DATA_LOG_TOPIC: 'mop_finclip-staging_operation_log'
      NETDISK_DOWN_URL: '/api/v1/netdisk/download/'
      GET_GRAY_STS_VER_LIST: /api/v1/mop/finstore/rule-engine/statics/ver-list
      PUB_ENV: "mop-private"
      DB_MODE: "mysql"
      MYSQL_USER_NAME: "${mysql_user}"
      MYSQL_PASSWORD: "${mysql_pass}"
      MYSQL_URL: "${mysql_user}:${mysql_pass}@tcp(mysql:3306)/${db_name}?charset=utf8mb4"
      MYSQL_PORT: "3306"
      DB_NAME: "${db_name}"
      REDIS_MODE: "single"
      REDIS_URL: "redis://redis:6379/6"
      REDIS_ADDR: "redis://redis:6379/6"
      REDIS_PASSWORD: "${redis_pass}"
      CONSUL_HTTP_IP: ""

  finclip-app-ext-svr:
    image: ${finclip_app_ext_svr}
    restart: always
    container_name: finclip-app-ext-svr
    environment:
      GET_APP_LATEST_INFO_BY_APPID_URL: "http://mop-app-manage-svr:8080/api/v1/mop/finstore/admin/app-info/latest-pub"
      GET_APP_INFO_BY_APPID_URL: http://mop-app-manage-svr:8080/api/v1/mop/finstore/dev/app/
      NETDISK_HOST: 'http://netdisk:8080'
      DB_MODE: "mysql"
      MYSQL_USER_NAME: "${mysql_user}"
      MYSQL_PASSWORD: "${mysql_pass}"
      MYSQL_URL: "${mysql_user}:${mysql_pass}@tcp(mysql:3306)/${db_name}?charset=utf8mb4"
      MYSQL_PORT: "3306"
      DB_NAME: "${db_name}"
      CONSUL_HTTP_IP: ""
  mop-scattered-page:
    image: ${mop_scattered_page}
    restart: always
    container_name: mop-scattered-page
    environment:
      API_URL: 'http://gateway:8000/'
      NGINX_PORT: "8080"
      CONSUL_HTTP_IP: ""
  mop-verify-code-gateway:
    image: ${mop_verify_code_gateway}
    restart: always
    container_name: mop-verify-code-gateway
    environment:
      ZIPKIN_STOS: 'false'
      PROVIDER_PHONE_URL: ''
      PROVIDER_EMAIL_URL: ''
      ZIPKIN_URL: ''
      FINOGEEKS_TYPES: mop,mop-fast-trial,mop-register,mop-get-quality-control-doc
      CONSUL_HTTP_IP: ""
  netdisk:
    image: ${finclip_netdisk}
    restart: always
    container_name: netdisk
    environment:
      HTTP_PORT: "8080"
      DB_MODE: "mysql"
      ENABLE_MONITOR: "true"
      enableKafka: "false"
      ENDPOINT: "minio:9000"
      BUCKET_NAME: "finclip"
      ACCESS_ID: "${minio_access_key}"
      SECRET_KEY: "${minio_secret_key}"
      STORAGE_FROM: "minio"
      MYSQL_USER_NAME: "${mysql_user}"
      MYSQL_PASSWORD: "${mysql_pass}"
      MYSQL_URL: "${mysql_user}:${mysql_pass}@tcp(mysql:3306)/${db_name}?charset=utf8mb4"
      MYSQL_PORT: "3306"
      DB_NAME: "${db_name}"
      FILE_TYPES: 'csv,png,jpg,jpeg,zip,text,bmp,gif,octet-stream,xlsx,video/mp4,mp4,mp3,video,MP4,MP3,txt,apk,ipa'
      REDIS_MODE: "single"
      REDIS_URL: "redis://redis:6379/6"
      REDIS_ADDR: "redis://redis:6379/6"
      REDIS_PASSWORD: "${redis_pass}"
      CONSUL_HTTP_IP: ""
      PUB_ENV: "mop-private"
    depends_on:
      - mysql

  mop-init:
    image: ${mop_init}
    container_name: mop-init
    environment:
      - ENV_TYPE=mop
    depends_on:
      - gateway
      - mop-basic-pack-svr
    command:
      - sh
      - -c
      - |
        sleep 300s
        node download.js
        node index.js
  finclip-data-counter:
    image: ${finclip_data_counter}
    restart: always
    container_name: finclip-data-counter
    depends_on:
      - mysql
    environment:
      DATA_COUNT_BY_TYPE: by_mongo
      COMMON_VERIFY_CODE: "380295"
      APP_OPEN_INFO_TOPIC: mop_app_open_info_topic_finclip-staging
      DEVICE_OPEN_INFO_TOPIC: mop_device_open_info_topic_finclip-staging
      SDK_DATA_OPEN_INFO_INDEX: mop_sdk_data_open_info_index_finclip-staging
      SDK_DATA_DEVICE_USER_INFO_INDEX: mop_sdk_data_device_user_info_index_finclip-staging
      SDK_DATA_DEVICE_OS_INFO_INDEX: mop_sdk_data_device_os_info_index_finclip-staging
      SDK_DATA_DEVICE_SDK_INFO_INDEX: mop_sdk_data_device_sdk_info_index_finclip-staging
      SDK_DATA_DEVICE_USER_HASH_INFO_INDEX: mop_sdk_data_device_user_hash_info_index_finclip-staging
      SDK_DATA_DEVICE_SDK_HASH_INFO_INDEX: mop_sdk_data_device_sdk_hash_info_index_finclip-staging
      SDK_DATA_DEVICE_OS_HASH_INFO_INDEX: mop_sdk_data_device_os_hash_info_index_finclip-staging
      OPERATE_LOG_TOPIC: mop_finclip-staging_operation_log
      DB_MODE: "mysql"
      MYSQL_USER_NAME: "${mysql_user}"
      MYSQL_PASSWORD: "${mysql_pass}"
      MYSQL_URL: "${mysql_user}:${mysql_pass}@tcp(mysql:3306)/${db_name}?charset=utf8mb4"
      MYSQL_PORT: "3306"
      DB_NAME: "${db_name}"
      REDIS_MODE: "single"
      REDIS_URL: "redis://redis:6379/6"
      REDIS_ADDR: "redis://redis:6379/6"
      REDIS_PASSWORD: "${redis_pass}"
      KAFKA_ADDR: "kafka:9092"
      CONSUL_HTTP_IP: ""
  finclip-customer-open-api:
    image: ${finclip_customer_open_api}
    restart: always
    container_name: finclip-customer-open-api
    depends_on:
      - mysql
    environment:
      HTTP_PORT: '8080'
      REPORT_DATA_TOPIC: 'mop_finclip-staging_data_report'
      KAFKA_ADDR: "kafka:9092"
      DB_MODE: "mysql"
      MYSQL_USER_NAME: "${mysql_user}"
      MYSQL_PASSWORD: "${mysql_pass}"
      MYSQL_URL: "${mysql_user}:${mysql_pass}@tcp(mysql:3306)/${db_name}?charset=utf8mb4"
      MYSQL_PORT: "3306"
      DB_NAME: "${db_name}"
      CONSUL_HTTP_IP: ""
      REDIS_MODE: "single"
      REDIS_URL: "redis://redis:6379/6"
      REDIS_ADDR: "redis://redis:6379/6"
      REDIS_PASSWORD: "${redis_pass}"
      COMMON_VERIFY_CODE: "380295"
      AUDIT_PLATFORM: "operate"
      API_SERVER: ${API_ENDPOINT}
